<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="false"
    android:keepScreenOn="true"
    android:orientation="vertical">

    <com.webclip.base.StatusLayout
        android:id="@+id/top_vvvv1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:visibility="gone" />

    <RelativeLayout
        android:id="@+id/top_vvvv"
        android:layout_width="match_parent"
        android:layout_height="?actionBarSize"
        android:layout_below="@id/top_vvvv1"
        android:background="@color/white"
        android:visibility="gone">

        <ImageView
            android:id="@+id/back_iv"
            android:layout_width="40dp"
            android:layout_height="?actionBarSize"
            android:scaleType="centerInside"
            android:src="@drawable/ic_action_back" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:layout_centerInParent="true"
            android:src="@mipmap/app_logo" />


    </RelativeLayout>

    <!-- webview 全屏状态 start -->
    <!--    <androidx.constraintlayout.widget.ConstraintLayout-->
    <!--        android:layout_width="match_parent"-->
    <!--        android:layout_height="match_parent"-->
    <!--        android:layout_below="@id/top_vvvv">-->

    <!--        <androidx.constraintlayout.widget.ConstraintLayout-->
    <!--            android:id="@+id/layouttop_config"-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:gravity="center_vertical"-->
    <!--            android:visibility="gone"-->
    <!--            app:layout_constraintTop_toTopOf="parent">-->

    <!--            <ImageView-->
    <!--                android:id="@+id/iv_topconfig"-->
    <!--                android:layout_width="match_parent"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:background="@color/color_red"-->
    <!--                android:minHeight="80dp"-->
    <!--                app:layout_constraintTop_toTopOf="parent" />-->

    <!--            <LinearLayout-->
    <!--                android:layout_width="match_parent"-->
    <!--                android:layout_height="wrap_content"-->
    <!--                android:orientation="horizontal"-->
    <!--                android:layout_marginBottom="10dp"-->
    <!--                app:layout_constraintBottom_toBottomOf="@+id/iv_topconfig">-->

    <!--                <TextView-->
    <!--                    android:id="@+id/home"-->
    <!--                    android:layout_width="wrap_content"-->
    <!--                    android:layout_height="wrap_content"-->
    <!--                    android:gravity="center"-->
    <!--                    android:paddingStart="5dp"-->
    <!--                    android:paddingEnd="5dp"-->
    <!--                    android:text="Home"-->
    <!--                    android:textColor="@android:color/white"-->
    <!--                    android:textSize="20sp"-->
    <!--                    android:textStyle="bold" />-->

    <!--                <TextView-->
    <!--                    android:id="@+id/tv_other"-->
    <!--                    android:layout_width="wrap_content"-->
    <!--                    android:layout_height="wrap_content"-->
    <!--                    android:layout_marginStart="10dp"-->
    <!--                    android:gravity="center"-->
    <!--                    android:paddingStart="5dp"-->
    <!--                    android:paddingEnd="5dp"-->
    <!--                    android:text="Miss AV"-->
    <!--                    android:textColor="@android:color/white"-->
    <!--                    android:textSize="20sp"-->
    <!--                    android:textStyle="bold" />-->
    <!--            </LinearLayout>-->
    <!--        </androidx.constraintlayout.widget.ConstraintLayout>-->

    <!--        <com.tencent.smtt.sdk.WebView-->
    <!--            android:id="@+id/webview"-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="0dp"-->
    <!--            app:layout_constraintBottom_toTopOf="@+id/bottom_v"-->
    <!--            app:layout_constraintTop_toBottomOf="@+id/layouttop_config"-->
    <!--            app:layout_goneMarginTop="40dp" />-->

    <!--        <View-->
    <!--            android:id="@+id/bottom_v"-->
    <!--            android:layout_width="match_parent"-->
    <!--            android:layout_height="0dp"-->
    <!--            app:layout_constraintBottom_toBottomOf="parent" />-->

    <!--    </androidx.constraintlayout.widget.ConstraintLayout>-->
    <!-- webview 全屏状态 end -->
    <WebView
        android:id="@+id/webview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/top_vvvv" />

    <LinearLayout
        android:id="@+id/layoutError"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:orientation="vertical"
        android:visibility="gone">

        <ProgressBar
            android:id="@+id/progress_error"
            style="@android:style/Widget.ProgressBar.Large"
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:layout_gravity="center_horizontal" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="10dp"
            android:text="@string/agentweb_loading" />

        <TextView
            android:id="@+id/errormsg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:textColor="#999999"
            android:textSize="16sp" />
    </LinearLayout>

    <androidx.cardview.widget.CardView
        android:id="@+id/bt_otherapp"
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:layout_alignParentTop="true"
        android:layout_alignParentRight="true"
        android:layout_marginTop="90dp"
        android:layout_marginRight="20dp"
        android:visibility="invisible"
        app:cardBackgroundColor="@color/dialog_bg"
        app:cardCornerRadius="50dp">

        <ImageView
            android:id="@+id/iv_otherApp"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_gravity="center"
            android:src="@mipmap/ic_shousuo" />

    </androidx.cardview.widget.CardView>

    <!-- 分享的app -->
    <LinearLayout
        android:id="@+id/layout_otherapp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/bt_otherapp"
        android:layout_alignStart="@+id/bt_otherapp"
        android:layout_alignEnd="@+id/bt_otherapp"
        android:layout_marginTop="10dp"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:visibility="visible">

        <androidx.cardview.widget.CardView
            android:id="@+id/iv_home"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:background="@android:color/white"
            android:visibility="gone"
            app:cardCornerRadius="50dp"
            app:cardElevation="0dp">

            <ImageView
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:src="@mipmap/ic_hometo" />
        </androidx.cardview.widget.CardView>



        <androidx.cardview.widget.CardView
            android:id="@+id/cv_share"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginTop="10dp"
            android:visibility="gone"
            app:cardBackgroundColor="@color/black"
            app:cardCornerRadius="50dp"
            app:cardElevation="2dp">

            <ImageView
                android:id="@+id/iv_share"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:padding="10dp"
                android:scaleType="centerInside"
                android:src="@mipmap/share_img"/>

        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/iv_link"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginTop="10dp"
            android:visibility="gone"
            app:cardBackgroundColor="@color/black"
            app:cardCornerRadius="50dp"
            app:cardElevation="2dp">

            <ImageView
                android:id="@+id/iv_linkbg"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <TextView
                android:id="@+id/tv_link"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@android:color/transparent"
                android:gravity="center"
                android:lines="1"
                android:ellipsize="middle"
                android:text="MISSAV"
                android:textColor="@color/white"
                android:textSize="12sp"
                android:textStyle="bold" />
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/iv_facebook"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginTop="10dp"
            android:background="@android:color/white"
            android:visibility="gone"
            app:cardCornerRadius="50dp"
            app:cardElevation="0dp">

            <ImageView
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:src="@mipmap/ic_facebook" />
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/iv_whatsapp"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginTop="10dp"
            android:background="@android:color/white"
            android:visibility="gone"
            app:cardCornerRadius="50dp"
            app:cardElevation="0dp">

            <ImageView
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:src="@mipmap/ic_whatsapp" />
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/iv_tel"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginTop="10dp"
            android:background="@android:color/white"
            android:visibility="gone"
            app:cardCornerRadius="50dp"
            app:cardElevation="0dp">

            <ImageView
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:src="@mipmap/ic_tel" />
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/bt_notifyitem"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginTop="10dp"
            android:background="@android:color/black"
            app:cardBackgroundColor="@color/dialog_bg"
            android:visibility="gone"
            app:cardCornerRadius="50dp"
            app:cardElevation="0dp">

            <ImageView
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:padding="10dp"
                android:src="@mipmap/ic_email1" />

        </androidx.cardview.widget.CardView>

    </LinearLayout>

    <androidx.cardview.widget.CardView
        android:id="@+id/bt_notify"
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:layout_alignParentStart="true"
        android:layout_alignParentTop="true"
        android:layout_marginStart="20dp"
        android:layout_marginTop="160dp"
        android:visibility="gone"
        app:cardBackgroundColor="@color/black"
        app:cardCornerRadius="50dp">

        <ImageView
            android:id="@+id/iv_notify"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_gravity="center"
            android:src="@mipmap/ic_email" />

    </androidx.cardview.widget.CardView>

    <LinearLayout
        android:id="@+id/show_top_ly"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/top_vvvv"
        android:orientation="vertical"
        android:visibility="visible">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="4"

            android:orientation="vertical"
            android:gravity="center">

            <androidx.cardview.widget.CardView
                android:id="@+id/show_top_cardview"
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:visibility="gone"
                app:cardElevation="5dp"
                app:cardCornerRadius="50dp">
                <ImageView
                    android:id="@+id/show_top_v"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:src="@mipmap/app_logo"
                    />
            </androidx.cardview.widget.CardView>

            <ImageView
                android:id="@+id/show_top_v1"
                android:layout_width="wrap_content"
                android:layout_height="100dp"
                android:maxWidth="200dp"
                android:src="@mipmap/app_logo"
                android:visibility="gone" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="6"
            android:gravity="center">

            <ProgressBar
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:indeterminateDrawable="@drawable/pass_word_bg1" />

        </LinearLayout>
    </LinearLayout>

    <FrameLayout
        android:id="@+id/videoContainer"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <ProgressBar
        android:id="@+id/progressbar"
        android:layout_width="20dp"
        android:layout_height="?actionBarSize"
        android:layout_alignParentRight="true"
        android:layout_marginRight="15dp"
        android:indeterminateDrawable="@drawable/pass_word_bg2"
        android:visibility="gone" />


</RelativeLayout>


